Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.TableData Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | TableData ()
| Constructor.
def | TableData (data)
| Constructor, with another table cell data object. More...
def | TableData (rect, row_count, col_count, outside_border_left, outside_border_right, outside_border_top, outside_border_bottom, inside_border_row, inside_border_col, merge_cells, row_height_array, col_width_array)
| Constructor, with parameters. More...
def | Set (rect, row_count, col_count, outside_border_left, outside_border_right, outside_border_top, outside_border_bottom, inside_border_row, inside_border_col, merge_cells, row_height_array, col_width_array)
| Set value. More...

## Static Public Attributes
| col_count = _fsdk.TableData_col_count
| The count of columns in the table.
| col_width_array = _fsdk.TableData_col_width_array
| The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.
| inside_border_col = _fsdk.TableData_inside_border_col
| The column inside border info.
| inside_border_row = _fsdk.TableData_inside_border_row
| The row inside border info.
| merge_cells = _fsdk.TableData_merge_cells
| The merge cells. The length of this array must be even and the zero length means no merge cell. More...
| outside_border_bottom = _fsdk.TableData_outside_border_bottom
| The bottom outside border info.
| outside_border_left = _fsdk.TableData_outside_border_left
| The left outside border info.
| outside_border_right = _fsdk.TableData_outside_border_right
| The right outside border info.
| outside_border_top = _fsdk.TableData_outside_border_top
| The top outside border info.
| rect = _fsdk.TableData_rect
| Rectangle of the table which specifies the position in PDF page. It should be in [PDF coordinate system] ().
| row_count = _fsdk.TableData_row_count
| The count of rows in the table.
| row_height_array = _fsdk.TableData_row_height_array
| The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.

## Detailed Description

This class represents table data.

## Constructor & Destructor Documentation

## ◆ TableData() [1/2]

def FoxitPDFSDKPython3.TableData.TableData | ( |  | rect,
|  |  | row_count,
|  |  | col_count,
|  |  | outside_border_left,
|  |  | outside_border_right,
|  |  | outside_border_top,
|  |  | outside_border_bottom,
|  |  | inside_border_row,
|  |  | inside_border_col,
|  |  | merge_cells,
|  |  | row_height_array,
|  |  | col_width_array
| ) |  |

Constructor, with parameters.

Parameters

  [in] | rect | The rectangle of the table which specifies the position in PDF page.
  [in] | row_count | The count of rows in the table.
  [in] | col_count | The count of columns in the table.
  [in] | outside_border_left | The left outside border info.
  [in] | outside_border_right | The right outside border info.
  [in] | outside_border_top | The top outside border info.
  [in] | outside_border_bottom | The bottom outside border info.
  [in] | inside_border_row | The row inside border info.
  [in] | inside_border_col | The column inside border info.
  [in] | merge_cells | The merge cells.
  [in] | row_height_array | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.
  [in] | col_width_array | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

## ◆ TableData() [2/2]

def FoxitPDFSDKPython3.TableData.TableData | ( |  | data | ) |

Constructor, with another table cell data object.

Parameters

  [in] | data | Another table data object, whose value would be assigned to current object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.TableData.Set | ( |  | rect,
|  |  | row_count,
|  |  | col_count,
|  |  | outside_border_left,
|  |  | outside_border_right,
|  |  | outside_border_top,
|  |  | outside_border_bottom,
|  |  | inside_border_row,
|  |  | inside_border_col,
|  |  | merge_cells,
|  |  | row_height_array,
|  |  | col_width_array
| ) |  |

Set value.

Parameters

  [in] | rect | The rectangle of the table which specifies the position in PDF page.
  [in] | row_count | The count of rows in the table.
  [in] | col_count | The count of columns in the table.
  [in] | outside_border_left | The left outside border info.
  [in] | outside_border_right | The right outside border info.
  [in] | outside_border_top | The top outside border info.
  [in] | outside_border_bottom | The bottom outside border info.
  [in] | inside_border_row | The row inside border info.
  [in] | inside_border_col | The column inside border info.
  [in] | merge_cells | The merge cells.
  [in] | row_height_array | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.
  [in] | col_width_array | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

Returns
  None.

## Member Data Documentation

## ◆ merge_cells

FoxitPDFSDKPython3.TableData.merge_cells = _fsdk.TableData_merge_cells
| static

The merge cells. The length of this array must be even and the zero length means no merge cell.

Note
  In a merged cell index array, every two consecutive members are grouped into cells. The first member represents the starting cell of the merged cell, and the second member represents the ending cell of the merged cell. For the table cell index, the valid range: from 0 to (row_count - 1) or (col_count - 1).